Bug 643453 - (CVE-2010-3843) CVE-2010-3843 ettercap: insecure global settings file
CVE-2010-3843 ettercap: insecure global settings file
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20101007,reported=20101013,sou...
: Security
Depends On: 643454 709422 709423
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-15 12:42 EDT by Vincent Danen
Modified: 2014-05-22 06:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-10 13:15:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-10-15 12:42:18 EDT
Dan Rosenberg reported [1] the following vulnerability in Ettercap-GTK:

The GTK version of ettercap uses a global settings file
at /tmp/.ettercap_gtk and does not verify ownership of this
file.  When parsing this file for settings in gtkui_conf_read()
(src/interfaces/gtk/ec_gtk_conf.c), an unchecked sscanf() call allows a
maliciously placed settings file to overflow a statically-sized buffer
on the stack.  Stack-smashing protection catches it, but it still should
be fixed.

Verify with:
$ perl -e 'print "A"x500' > /tmp/.ettercap_gtk && ettercap -G

Firstly, the settings file should not be globally accessible without
checking ownership, which still gets hairy because an attacker could
create a symlink or hard link to a victim-controlled file (unless you're
using YAMA :p).  The best thing would probably be to keep this file in
the user's home directory instead.

Secondly, parsing configuration files should be robust against malformed
input and not susceptible to trivial buffer overflows.


This issue has been assigned the name CVE-2010-3843 [2].

[1] https://bugs.launchpad.net/ubuntu/+source/ettercap/+bug/656347
[2] http://article.gmane.org/gmane.comp.security.oss.general/3660
Comment 1 Vincent Danen 2010-10-15 12:43:30 EDT
Created ettercap tracking bugs for this issue

Affects: fedora-all [bug 643454]
Comment 2 Vincent Danen 2011-05-31 13:16:59 EDT
This also affects ettercap in EPEL4 and 5.
Comment 3 Vincent Danen 2011-05-31 13:17:45 EDT
Created ettercap tracking bugs for this issue

Affects: epel-4 [bug 709422]
Affects: epel-5 [bug 709423]
Comment 4 Agostino Sarubbo 2013-01-10 10:48:13 EST
this is fixed in 0.7.5
Comment 5 Vincent Danen 2013-01-10 13:15:04 EST
0.7.5 is currently in all supported releases of Fedora.  This is fixed in EPEL6 via 0.7.4-2.el6 and EPEL5 via 0.7.3-20.el5 and was also patched in Fedora 16 via 0.7.4-3.fc16.
Comment 6 Martin Prpic 2014-05-22 06:32:20 EDT
Just a note that the fix for this issue also resolves CVE-2010-3844, which was the "incorrect parsing of configuration files" from the original report.

Note You need to log in before you can comment on or make changes to this bug.